> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Record proposal decision

> Record the owner's decision; approving a replacement raises the replacement work order



## OpenAPI

````yaml /openapi.json post /maintenance-pro/replacement-proposals/{proposalId}/decision
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /maintenance-pro/replacement-proposals/{proposalId}/decision:
    post:
      tags:
        - maintenance-pro
      summary: Record proposal decision
      description: >-
        Record the owner's decision; approving a replacement raises the
        replacement work order
      operationId: maintenance-pro.recordProposalDecision
      parameters:
        - name: proposalId
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecordProposalDecisionBody'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetLifecycleView'
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable | AssetLifecycleInvalid
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
                  - $ref: '#/components/schemas/AssetLifecycleInvalidEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceRoleRequired | WorkspaceOwnerRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound | AssetLifecycleNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
                  - $ref: '#/components/schemas/AssetLifecycleNotFoundEncoded'
        '409':
          description: >-
            WebhookDuplicate | RegistrationConflict | AssetLifecycleConflict |
            MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/AssetLifecycleConflictEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    RecordProposalDecisionBody:
      type: object
      properties:
        requestId:
          type: string
        expectedRevision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        decision:
          type: string
          enum:
            - repair
            - replace
            - upgrade
            - declined
        decidedVia:
          type: string
          enum:
            - email
            - phone
            - letter
            - in_person
            - portal
        decidedOn:
          type: string
        note:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - requestId
        - expectedRevision
        - decision
        - decidedVia
        - decidedOn
        - note
      additionalProperties: false
    AssetLifecycleView:
      type: object
      properties:
        assetId:
          type: string
        propertyId:
          anyOf:
            - type: string
            - type: 'null'
        blockId:
          anyOf:
            - type: string
            - type: 'null'
        installedOn:
          anyOf:
            - type: string
            - type: 'null'
        ageMonths:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            - type: 'null'
        expectedLifeYears:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            - type: 'null'
        replacementCost:
          anyOf:
            - type: object
              properties:
                amountMinor:
                  anyOf:
                    - type: number
                    - type: string
                      enum:
                        - Infinity
                        - '-Infinity'
                        - NaN
                currency:
                  type: string
              required:
                - amountMinor
                - currency
              additionalProperties: false
            - type: 'null'
        installCost:
          anyOf:
            - type: object
              properties:
                amountMinor:
                  anyOf:
                    - type: number
                    - type: string
                      enum:
                        - Infinity
                        - '-Infinity'
                        - NaN
                currency:
                  type: string
              required:
                - amountMinor
                - currency
              additionalProperties: false
            - type: 'null'
        installerContactId:
          anyOf:
            - type: string
            - type: 'null'
        retiredAt:
          anyOf:
            - type: string
            - type: 'null'
        retiredReason:
          anyOf:
            - type: string
              enum:
                - replaced
                - removed
                - condemned
                - other
            - type: 'null'
        replacedByAssetId:
          anyOf:
            - type: string
            - type: 'null'
        revision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        state:
          type: string
          enum:
            - in_service
            - on_watch
            - replacement_suggested
            - retired
        triggers:
          type: array
          items:
            $ref: '#/components/schemas/AssetTriggerRow'
        openRepairs:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              reference:
                anyOf:
                  - type: string
                  - type: 'null'
              description:
                type: string
              urgency:
                type: string
              status:
                type: string
            required:
              - id
              - reference
              - description
              - urgency
              - status
            additionalProperties: false
        repairsLast12Months:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        spendLast12Months:
          type: object
          properties:
            amountMinor:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            currency:
              type: string
          required:
            - amountMinor
            - currency
          additionalProperties: false
        spendToDate:
          type: object
          properties:
            amountMinor:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            currency:
              type: string
          required:
            - amountMinor
            - currency
          additionalProperties: false
        landlordContactId:
          anyOf:
            - type: string
            - type: 'null'
        landlordEmail:
          anyOf:
            - type: string
            - type: 'null'
        proposals:
          type: array
          items:
            $ref: '#/components/schemas/ReplacementProposalRow'
        canEdit:
          type: boolean
      required:
        - assetId
        - propertyId
        - blockId
        - installedOn
        - ageMonths
        - expectedLifeYears
        - replacementCost
        - installCost
        - installerContactId
        - retiredAt
        - retiredReason
        - replacedByAssetId
        - revision
        - state
        - triggers
        - openRepairs
        - repairsLast12Months
        - spendLast12Months
        - spendToDate
        - landlordContactId
        - landlordEmail
        - proposals
        - canEdit
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    AssetLifecycleInvalidEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AssetLifecycleInvalid
        field:
          type: string
        reason:
          type: string
      required:
        - _tag
        - field
        - reason
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    AssetLifecycleNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AssetLifecycleNotFound
        resource:
          type: string
        id:
          type: string
      required:
        - _tag
        - resource
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    AssetLifecycleConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AssetLifecycleConflict
        code:
          type: string
          enum:
            - stale
            - request_reused
            - retired
            - not_draft
            - not_sent
            - not_ready
            - open_proposal
        reason:
          type: string
        revision:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            - type: 'null'
      required:
        - _tag
        - code
        - reason
        - revision
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
    AssetTriggerRow:
      type: object
      properties:
        kind:
          type: string
          enum:
            - open_repair
            - repeat_faults
            - repair_spend
            - past_expected_life
        label:
          type: string
        now:
          type: string
        met:
          type: boolean
        known:
          type: boolean
        outcome:
          type: string
      required:
        - kind
        - label
        - now
        - met
        - known
        - outcome
      additionalProperties: false
    ReplacementProposalRow:
      type: object
      properties:
        id:
          type: string
        assetId:
          type: string
        status:
          type: string
          enum:
            - draft
            - sent
            - decided
            - withdrawn
        reason:
          anyOf:
            - type: string
              enum:
                - repeat_faults
                - not_worth_repairing
                - unsafe
                - end_of_life
                - upgrade
                - other
            - type: 'null'
        currency:
          type: string
        options:
          type: array
          items:
            $ref: '#/components/schemas/ProposalOption'
        recommendation:
          anyOf:
            - type: string
              enum:
                - repair
                - replace
                - upgrade
            - type: 'null'
        message:
          type: string
        landlordContactId:
          anyOf:
            - type: string
            - type: 'null'
        sentAt:
          anyOf:
            - type: string
            - type: 'null'
        sentTo:
          anyOf:
            - type: string
            - type: 'null'
        decision:
          anyOf:
            - type: string
              enum:
                - repair
                - replace
                - upgrade
                - declined
            - type: 'null'
        decidedVia:
          anyOf:
            - type: string
              enum:
                - email
                - phone
                - letter
                - in_person
                - portal
            - type: 'null'
        decidedOn:
          anyOf:
            - type: string
            - type: 'null'
        decisionNote:
          anyOf:
            - type: string
            - type: 'null'
        workOrderRepairId:
          anyOf:
            - type: string
            - type: 'null'
        revision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - assetId
        - status
        - reason
        - currency
        - options
        - recommendation
        - message
        - landlordContactId
        - sentAt
        - sentTo
        - decision
        - decidedVia
        - decidedOn
        - decisionNote
        - workOrderRepairId
        - revision
        - createdAt
        - updatedAt
      additionalProperties: false
    ProposalOption:
      type: object
      properties:
        kind:
          type: string
          enum:
            - repair
            - replace
            - upgrade
        costMinor:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            - type: 'null'
        contractorContactId:
          anyOf:
            - type: string
            - type: 'null'
        note:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - kind
        - costMinor
        - contractorContactId
        - note
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.